Index: uspace/srv/net/tcp/service.c
===================================================================
--- uspace/srv/net/tcp/service.c	(revision cde999aca79219e8751af76502001a86d411d176)
+++ uspace/srv/net/tcp/service.c	(revision a53ed3a8097360ccf174e8d94fb407db919eb66a)
@@ -68,5 +68,5 @@
 static void tcp_service_lst_cstate_change(tcp_conn_t *, void *, tcp_cstate_t);
 
-static int tcp_cconn_create(tcp_client_t *, tcp_conn_t *, tcp_cconn_t **);
+static errno_t tcp_cconn_create(tcp_client_t *, tcp_conn_t *, tcp_cconn_t **);
 
 /** Connection callbacks to tie us to lower layer */
@@ -132,5 +132,5 @@
 	tcp_cconn_t *cconn;
 	inet_ep2_t epp;
-	int rc;
+	errno_t rc;
 	tcp_error_t trc;
 
@@ -298,5 +298,5 @@
  * @return EOK on success or ENOMEM if out of memory
  */
-static int tcp_cconn_create(tcp_client_t *client, tcp_conn_t *conn,
+static errno_t tcp_cconn_create(tcp_client_t *client, tcp_conn_t *conn,
     tcp_cconn_t **rcconn)
 {
@@ -345,5 +345,5 @@
  * @return EOK on success or ENOMEM if out of memory
  */
-static int tcp_clistener_create(tcp_client_t *client, tcp_conn_t *conn,
+static errno_t tcp_clistener_create(tcp_client_t *client, tcp_conn_t *conn,
     tcp_clst_t **rclst)
 {
@@ -390,5 +390,5 @@
  *         is found.
  */
-static int tcp_cconn_get(tcp_client_t *client, sysarg_t id,
+static errno_t tcp_cconn_get(tcp_client_t *client, sysarg_t id,
     tcp_cconn_t **rcconn)
 {
@@ -412,5 +412,5 @@
  *         is found.
  */
-static int tcp_clistener_get(tcp_client_t *client, sysarg_t id,
+static errno_t tcp_clistener_get(tcp_client_t *client, sysarg_t id,
     tcp_clst_t **rclst)
 {
@@ -435,10 +435,10 @@
  * @return EOK on success or an error code
  */
-static int tcp_conn_create_impl(tcp_client_t *client, inet_ep2_t *epp,
+static errno_t tcp_conn_create_impl(tcp_client_t *client, inet_ep2_t *epp,
     sysarg_t *rconn_id)
 {
 	tcp_conn_t *conn;
 	tcp_cconn_t *cconn;
-	int rc;
+	errno_t rc;
 	tcp_error_t trc;
 	char *slocal;
@@ -482,8 +482,8 @@
  * @return EOK on success, ENOENT if no such connection is found
  */
-static int tcp_conn_destroy_impl(tcp_client_t *client, sysarg_t conn_id)
+static errno_t tcp_conn_destroy_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	int rc;
+	errno_t rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -509,5 +509,5 @@
  * @return EOK on success or an error code
 */
-static int tcp_listener_create_impl(tcp_client_t *client, inet_ep_t *ep,
+static errno_t tcp_listener_create_impl(tcp_client_t *client, inet_ep_t *ep,
     sysarg_t *rlst_id)
 {
@@ -515,5 +515,5 @@
 	tcp_clst_t *clst;
 	inet_ep2_t epp;
-	int rc;
+	errno_t rc;
 	tcp_error_t trc;
 
@@ -555,8 +555,8 @@
  * @return EOK on success, ENOENT if no such listener is found
  */
-static int tcp_listener_destroy_impl(tcp_client_t *client, sysarg_t lst_id)
+static errno_t tcp_listener_destroy_impl(tcp_client_t *client, sysarg_t lst_id)
 {
 	tcp_clst_t *clst;
-	int rc;
+	errno_t rc;
 
 	rc = tcp_clistener_get(client, lst_id, &clst);
@@ -580,8 +580,8 @@
  * @return EOK on success or an error code
  */
-static int tcp_conn_send_fin_impl(tcp_client_t *client, sysarg_t conn_id)
+static errno_t tcp_conn_send_fin_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	int rc;
+	errno_t rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -605,8 +605,8 @@
  * @return EOK on success or an error code
  */
-static int tcp_conn_push_impl(tcp_client_t *client, sysarg_t conn_id)
+static errno_t tcp_conn_push_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	int rc;
+	errno_t rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -630,8 +630,8 @@
  * @return EOK on success or an error code
  */
-static int tcp_conn_reset_impl(tcp_client_t *client, sysarg_t conn_id)
+static errno_t tcp_conn_reset_impl(tcp_client_t *client, sysarg_t conn_id)
 {
 	tcp_cconn_t *cconn;
-	int rc;
+	errno_t rc;
 
 	rc = tcp_cconn_get(client, conn_id, &cconn);
@@ -656,9 +656,9 @@
  * @return EOK on success or an error code
  */
-static int tcp_conn_send_impl(tcp_client_t *client, sysarg_t conn_id,
+static errno_t tcp_conn_send_impl(tcp_client_t *client, sysarg_t conn_id,
     void *data, size_t size)
 {
 	tcp_cconn_t *cconn;
-	int rc;
+	errno_t rc;
 	tcp_error_t trc;
 
@@ -686,10 +686,10 @@
  * @return EOK on success or an error code
  */
-static int tcp_conn_recv_impl(tcp_client_t *client, sysarg_t conn_id,
+static errno_t tcp_conn_recv_impl(tcp_client_t *client, sysarg_t conn_id,
     void *data, size_t size, size_t *nrecv)
 {
 	tcp_cconn_t *cconn;
 	xflags_t xflags;
-	int rc;
+	errno_t rc;
 	tcp_error_t trc;
 
@@ -758,5 +758,5 @@
 	inet_ep2_t epp;
 	sysarg_t conn_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_create_srv()");
@@ -802,5 +802,5 @@
 {
 	sysarg_t conn_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_destroy_srv()");
@@ -826,5 +826,5 @@
 	inet_ep_t ep;
 	sysarg_t lst_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_listener_create_srv()");
@@ -870,5 +870,5 @@
 {
 	sysarg_t lst_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_listener_destroy_srv()");
@@ -891,5 +891,5 @@
 {
 	sysarg_t conn_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_send_fin_srv()");
@@ -912,5 +912,5 @@
 {
 	sysarg_t conn_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_push_srv()");
@@ -933,5 +933,5 @@
 {
 	sysarg_t conn_id;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_reset_srv()");
@@ -957,5 +957,5 @@
 	sysarg_t conn_id;
 	void *data;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_send_srv())");
@@ -1018,5 +1018,5 @@
 	size_t size, rsize;
 	void *data;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_srv()");
@@ -1074,5 +1074,5 @@
 	size_t size, rsize;
 	void *data;
-	int rc;
+	errno_t rc;
 
 	log_msg(LOG_DEFAULT, LVL_DEBUG, "tcp_conn_recv_wait_srv()");
@@ -1246,7 +1246,7 @@
  * @return EOK on success or an error code.
  */
-int tcp_service_init(void)
-{
-	int rc;
+errno_t tcp_service_init(void)
+{
+	errno_t rc;
 	service_id_t sid;
 
